[package]
name = "rust-codebase"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[lib]
name = "dla"
crate-type = ["staticlib"]
path = "src/clib.rs"

[[bin]]
name = "model"
path = "src/main.rs"

[[bin]]
name = "ui"
path = "src/ui.rs"

[[bin]]
name = "fd-calc"
path = "src/fd.rs"

# Set the default for crate.
[profile.dev]
opt-level = 1

# Set the default for crate.
[profile.release]
debug = true

# Set the default for dependencies.
[profile.dev.package."*"]
opt-level = 3

[dependencies]
clap = { version = "4.1.8", features = ["derive"] }
bevy = { version = "0.10.0" }
nd_array = "0.1.0"
num-integer = "0.1.45"
rand = { version = "0.8.5", features = ["default", "small_rng"] }
csv = "1.1"
serde = { version = "1.0.152", features = ["derive"] }
serde_json = "1.0.93"
kd-tree = { version = "0.5.1", features = ["nalgebra"] }
nalgebra = "0.32.2"
kiddo = "0.2.5"
anyhow = "1.0.69"
itertools = "0.10.5"

[build-dependencies]
cbindgen = "0.24.3"
